from edgeiq.bounding_box import BoundingBox as BoundingBox
from typing import Any

LOGGER: Any

def enumerate_realsense_cameras(): ...

class RealSenseFrame:
    def __init__(self, depth_frame, color_frame, depth_scale) -> None: ...
    @property
    def image(self): ...
    @property
    def depth(self): ...
    def render_depth_image(self): ...
    def roi(self, min: Any | None = ..., max: Any | None = ..., shade: int = ...): ...
    def compute_object_distance(self, obj): ...
    def compute_distance_between_objects(self, box1, box2): ...
    def get_serializable_realsense_frame(self): ...

class SerializableRealSenseFrame(RealSenseFrame):
    def __init__(self, depth_array, color_array, depth_scale) -> None: ...
    def compute_object_distance(self, obj): ...
    def compute_distance_between_objects(self, box1, box2) -> None: ...

class RealSense:
    def __init__(self, device_serial_number: Any | None = ...) -> None: ...
    def start(self): ...
    def read(self): ...
    def __enter__(self): ...
    def __exit__(self, type, value, traceback) -> None: ...
    def __del__(self) -> None: ...
    def stop(self) -> None: ...
